import { deepExtend, isNull, } from "@tsparticles/engine";
export class InteractivityParticle {
    constructor() {
        this.replaceCursor = false;
        this.pauseOnStop = false;
        this.stopDelay = 0;
    }
    load(data) {
        if (isNull(data)) {
            return;
        }
        if (data.options !== undefined) {
            this.options = deepExtend({}, data.options);
        }
        if (data.replaceCursor !== undefined) {
            this.replaceCursor = data.replaceCursor;
        }
        if (data.pauseOnStop !== undefined) {
            this.pauseOnStop = data.pauseOnStop;
        }
        if (data.stopDelay !== undefined) {
            this.stopDelay = data.stopDelay;
        }
    }
}
