"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.InteractivityParticle = void 0;
const engine_1 = require("@tsparticles/engine");
class InteractivityParticle {
    constructor() {
        this.replaceCursor = false;
        this.pauseOnStop = false;
        this.stopDelay = 0;
    }
    load(data) {
        if ((0, engine_1.isNull)(data)) {
            return;
        }
        if (data.options !== undefined) {
            this.options = (0, engine_1.deepExtend)({}, data.options);
        }
        if (data.replaceCursor !== undefined) {
            this.replaceCursor = data.replaceCursor;
        }
        if (data.pauseOnStop !== undefined) {
            this.pauseOnStop = data.pauseOnStop;
        }
        if (data.stopDelay !== undefined) {
            this.stopDelay = data.stopDelay;
        }
    }
}
exports.InteractivityParticle = InteractivityParticle;
