(function (factory) {
    if (typeof module === "object" && typeof module.exports === "object") {
        var v = factory(require, exports);
        if (v !== undefined) module.exports = v;
    }
    else if (typeof define === "function" && define.amd) {
        define(["require", "exports", "@tsparticles/engine", "./InteractivityParticleMaker.js"], factory);
    }
})(function (require, exports) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    exports.loadExternalParticleInteraction = loadExternalParticleInteraction;
    const engine_1 = require("@tsparticles/engine");
    const InteractivityParticleMaker_js_1 = require("./InteractivityParticleMaker.js");
    async function loadExternalParticleInteraction(engine, refresh = true) {
        (0, engine_1.assertValidVersion)(engine, "3.7.1");
        await engine.addInteractor("externalParticle", container => {
            return Promise.resolve(new InteractivityParticleMaker_js_1.InteractivityParticleMaker(container));
        }, refresh);
    }
});
